package domain

type AlibabaWdkMarketingBuygiftItemAddAsyncCommonActivityParam struct {
	/*
	   外部活动编码     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   活动Id     */
	ActivityId *int64 `json:"activity_id,omitempty" `
}

func (s *AlibabaWdkMarketingBuygiftItemAddAsyncCommonActivityParam) SetOutActId(v string) *AlibabaWdkMarketingBuygiftItemAddAsyncCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaWdkMarketingBuygiftItemAddAsyncCommonActivityParam) SetActivityId(v int64) *AlibabaWdkMarketingBuygiftItemAddAsyncCommonActivityParam {
	s.ActivityId = &v
	return s
}
